
*差分の差分モデルの推定
use did.dta
table (hospital ) (month procedure ) (), nototal
didregress (satis ) (procedure ), group(hospital ) time(month )

*仮説検定
estat trendplots
estat ptrends
estat granger
estat grangerplot

*2x2の差分の差分モデルの推定
didregress (satis ) (procedure ), group(hospital ) time(month ) nogteffects

*三重差分モデルの推定
table (hospital) (month procedure hightrt) (), nototal
didregress (satis ) (hightrt ), group(hospital frequency ) time(month )

*並行トレンド仮定は満たされない場合
use paralleltest.dta
xtset id1
xtdidregress (y1 c.x1##c.x2 ) (treated1 ), group(id1 ) time(t1 )
estat trendplots
estat ptrends

*パネルデータを利用した差分の差分モデルの推定
use paneldid.dta
xtset classid year
xtdidregress (uspatents fpatents ) (gotpatent ), group(classid ) time(year )

*ワイルドブートストラップによる標準誤差・信頼区間の修正
use widlbootstrap.dta
didregress (outcome x i.b) (treated), group(county) time(year) wildbootstrap(errorweight(webb) rseed(123))

